Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotVertices Struct Reference

The RobotVertices struct contains the 3D position of important points of the robot like the shoulder, knee and foot positions. More...

`#include <RobotVertices.h>`

Collaboration diagram for RobotVertices:

[legend]
List of all members.

## Public Member Functions
| RobotVertices ()
| Default constructor.
| RobotVertices (const RobotDimensions &r)
| Constructor.
## Public Attributes
Vector3< double > | neck
Vector3< double > | shoulderPosition [4]
Vector3< double > | kneePosition [4]
Vector3< double > | footPosition [4]
double | bodyTilt
double | bodyRoll
double | neckHeight
unsigned | frameNumber

## Detailed Description

The RobotVertices struct contains the 3D position of important points of the robot like the shoulder, knee and foot positions.

All positions are relative to the neck or a point below the neck. So the coordinate of the neck will always be (0,0,z)

Author:
  Uwe Düffert

Definition at line 22 of file RobotVertices.h.

## Constructor & Destructor Documentation

RobotVertices::RobotVertices | ( |  | ) | `[inline]`

| Default constructor. Definition at line 36 of file RobotVertices.h. References bodyRoll, bodyTilt, frameNumber, and neckHeight.

RobotVertices::RobotVertices | ( | const RobotDimensions & | r | ) |

  | Constructor. Constructs vertices for a robot with all joints set to 0. Parameters:
  r | The dimensions of the robot.
Definition at line 12 of file RobotVertices.cpp. References RobotDimensions::bodyWidth, footPosition, kneePosition, RobotDimensions::lengthBetweenLegs, RobotDimensions::lowerForeLegLength, RobotDimensions::lowerHindLegLength, neck, RobotDimensions::neckToLegsLengthX, RobotDimensions::neckToLegsLengthZ, shoulderPosition, RobotDimensions::upperLegLength, RobotDimensions::upperLegLengthX, RobotDimensions::zeroFrontKneeArc, RobotDimensions::zeroHindKneeArc, and RobotDimensions::zeroShoulderArc.

## Member Data Documentation

Vector3<double> RobotVertices::neck

| Definition at line 25 of file RobotVertices.h. Referenced by Kinematics::getAbsoluteRobotVertices(), and RobotVertices().

Vector3<double> RobotVertices::shoulderPosition[4]

| Definition at line 27 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), Kinematics::calcRelativeRobotVertices(), Kinematics::getAbsoluteRobotVertices(), Kinematics::getRelativeRobotVertices(), and RobotVertices().

Vector3<double> RobotVertices::kneePosition[4]

| Definition at line 28 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), Kinematics::calcRelativeRobotVertices(), Kinematics::getAbsoluteRobotVertices(), Kinematics::getRelativeRobotVertices(), Kinematics::getRobotTransformation(), and RobotVertices().

Vector3<double> RobotVertices::footPosition[4]

| Definition at line 29 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), Kinematics::calcRelativeRobotVertices(), Kinematics::getAbsoluteRobotVertices(), Kinematics::getRelativeRobotVertices(), Kinematics::getRobotTransformation(), and RobotVertices().

double RobotVertices::bodyTilt

| Definition at line 30 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), Kinematics::getAbsoluteRobotVertices(), and RobotVertices().

double RobotVertices::bodyRoll

| Definition at line 31 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), Kinematics::getAbsoluteRobotVertices(), and RobotVertices().

double RobotVertices::neckHeight

| Definition at line 32 of file RobotVertices.h. Referenced by Kinematics::calcNeckAndLegPositions(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), and RobotVertices().

unsigned RobotVertices::frameNumber

| Definition at line 33 of file RobotVertices.h. Referenced by Kinematics::calcRelativeRobotVertices(), and RobotVertices().

The documentation for this struct was generated from the following files:

- Tools/Actorics/RobotVertices.h
- Tools/Actorics/RobotVertices.cpp